﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Effects;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void OpenWindow(object sender, RoutedEventArgs e)
        {

            this.Opacity = 0.5;
            this.Effect = new BlurEffect();
            AuthorizationWindow aw = new AuthorizationWindow()
            {
                Owner = this,
                ShowInTaskbar = false,
                Topmost = true
            };
            aw.ShowDialog();
            this.Opacity = 1;
            this.Effect = null;

        }
    }
}